//
//  ProfileInformationsCell.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 18/08/2025.
//

import SwiftUI

struct PopoverModel: Identifiable {
    var id: String { message }
    let message: String
}

struct ProfileInformationsCell: View {
    @State private var popover: PopoverModel?

    var body: some View {
        VStack(alignment: .leading, spacing: 16) {
            SQText("Informations administratives et vérifications")
                .sqSize(18)
                .sqFont(.semiBold)
            VStack(alignment: .leading) {
                    SQText("Vérifications")
                    .sqFont(.semiBold)
                    HStack(spacing: 8) {
                        SQIcon(.circle_check, color: .sqGreen(50))
                        SQText("Adresse e-mail")
                    }
                    HStack(spacing: 8) {
                        SQIcon(.circle_check, color: .sqGreen(50))
                        SQText("Téléphone")
                    }
                    HStack(spacing: 8) {
                        SQIcon(.circle_check, color: .sqGreen(50))
                        SQText("Identité")
                    }
                HStack {
                    Spacer()
                    SQButton("Appeler") {}
                        .sqIcon(SQIcon(.phone))
                        .sqButtonType(.line)
                        .sqTextSize(13)
                    Spacer()
                }
            }
            SQDivider()
            VStack(alignment: .leading, spacing: 8) {
                SQText("Informations légales")
                    .sqFont(.semiBold)
                HStack(alignment: .top) {
                    SQText("•")
                    SQText("Numéro SIRET : 869 322 037 - 0043")
                }
                HStack(alignment: .top) {
                    SQText("•")
                    SQText("Forme juridique : Société à responsabilité limitée (SARL)")
                }
                HStack(alignment: .top) {
                    SQText("•")
                    SQText("Entreprise créée en septembre 2022")
                }
            }
            SQDivider()
            VStack(alignment: .leading, spacing: 8) {
                HStack {
                    SQText("Assurances")
                        .sqFont(.semiBold)
                    Button() {
                        popover = PopoverModel(message: "Cet utilisateur a renseigné ses attestations d’assurance et s’engage à vous les fournir à tout moment.")
                    } label: {
                        SQIcon(.circle_info)
                    }
                    .popover(item: $popover, arrowEdge: .bottom) { detail in
                        Text("\(detail.message)")
                            .padding()
                    }
                }
                VStack(alignment: .leading, spacing: 8) {
                    HStack(alignment: .top) {
                        SQText("•")
                        SQText("Responsabilité Civile Professionnelle")
                    }
                    HStack(alignment: .top) {
                        SQText("•")
                        SQText("Garantie décennale")
                    }
                }
            }
            SQDivider()
            VStack(alignment: .leading, spacing: 8) {
                SQText("Certifications / Diplômes")
                    .sqFont(.semiBold)
                VStack(alignment: .leading) {
                    SQText("BEP de plombier chauffagiste")
                    SQText("Date de délivrance : mars 2024")
                        .sqSize(12)
                }
                VStack(alignment: .leading) {
                    SQText("Attestation fluidique cat:1")
                    SQText("Date de délivrance : février 2020")
                        .sqSize(12)
                }
            }
        }
    }
}

#Preview {
    ProfileInformationsCell()
        .padding()
}
